HsOpenSSL-0.11.7.9: Partial OpenSSL binding for Haskell

Safe Haskell | Safe-Inferred
Language | Haskell2010

OpenSSL.Random

Contents

- Random byte generation

Description

PRNG services See http://www.openssl.org/docs/crypto/rand.html For random Integer generation, see OpenSSL.BN

Synopsis

- randBytes :: Int -> IO ByteString
- prandBytes :: Int -> IO ByteString
- add :: ByteString -> Int -> IO ()

# Random byte generation

randBytes Source #

Arguments

:: Int | the number of bytes requested
-> IO ByteString |

Return a bytestring consisting of the given number of strongly random bytes

prandBytes Source #

Arguments

:: Int | the number of bytes requested
-> IO ByteString |

Return a bytestring consisting of the given number of pseudo random bytes

add Source #

Arguments

:: ByteString | random data to be added to the pool
-> Int | the number of bits of entropy in the first argument
-> IO () |

Add data to the entropy pool. It's safe to add sensitive information (e.g. user passwords etc) to the pool. Also, adding data with an entropy of 0 can never hurt.